Skip to main content
POST
/
webhooks
/
{webhookId}
/
notifications
/
resend_by_query
TypeScript
const response: Promise<FireblocksResponse<ResendByQueryResponse>> = fireblocks.webhooksV2.resendNotificationsByQuery(webhooksV2ApiResendNotificationsByQueryRequest);
{
  "total": 10
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

webhookId
string
required

The ID of the webhook

Body

application/json
statuses
enum<string>[]

(optional) List of notification statuses to resend - Default if missing: ["FAILED", "ON_HOLD"]

The status of the Notification

Available options:
COMPLETED,
FAILED,
IN_PROGRESS,
ON_HOLD
Example:
["ON_HOLD", "IN_PROGRESS"]
startTime
number

(optional) Start time for the resend window in milliseconds since epoch, within the last 72 hours - Default if missing means 24 hours before the current time in milliseconds since epoch - Maximum value is current time in milliseconds since epoch - Minimum value is 72 hours before the current time in milliseconds since epoch

Example:

1625097600000

endTime
number

(optional) End time for the resend window in milliseconds since epoch, within the last 72 hours - Default if missing means current time in milliseconds since epoch - Requires startTime to be provided - Must be after startTime - Time window between startTime and endTime must not exceed 24 hours

Example:

1625184000000

events
enum<string>[]

(optional) Event types to resend, default is all event types - Default if missing means all events will be included - Empty array means all events will be included

Available options:
transaction.created,
transaction.status.updated,
transaction.approval_status.updated,
transaction.network_records.processing_completed,
external_wallet.asset.added,
external_wallet.asset.removed,
internal_wallet.asset.added,
internal_wallet.asset.removed,
contract_wallet.asset.added,
contract_wallet.asset.removed,
vault_account.created,
vault_account.asset.added,
vault_account.asset.balance_updated,
embedded_wallet.status.updated,
embedded_wallet.created,
embedded_wallet.asset.balance_updated,
embedded_wallet.asset.added,
embedded_wallet.account.created,
embedded_wallet.device.added,
onchain_data.updated,
connection.added,
connection.removed,
connection.request.waiting_peer_approval,
connection.request.rejected_by_peer
Example:
[
  "transaction.created",
  "transaction.status.updated"
]
resourceId
string

(optional) Resource ID to filter notifications by

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

No matching notifications to resend

total
number

The total number of notifications that are scheduled to be resent.

Example:

10